/*--------------------------------------------------------------------------
     (C) Copyright Novell, Inc. 1991  All Rights Reserved.

 No part of this file may be duplicated, revised, translated, localized or
 modified in any manner or compiled, linked, or uploaded or downloaded to or
 from any computer system without the prior written consent of Novell, Inc.
--------------------------------------------------------------------------*/
#ifndef NOACCT_INC
#define NOACCT_INC

#ifndef NWCALDEF_INC
# include <nwcaldef.h>
#endif

typedef struct
{
  DWORD objectID;
  long  amount;
} HOLDS_INFO;

typedef struct
{
  WORD holdsCount;
  HOLDS_INFO holds[16];
} HOLDS_STATUS;

#ifdef __cplusplus
extern "C" {
#endif
NWCCODE NWAPI NWGetAccountStatus(
  NWCONN_HANDLE conn,
  WORD objectType,
  char NWPTR objectName,
  long NWPTR balance,
  long NWPTR limit,
  HOLDS_STATUS NWPTR holds);

NWCCODE NWAPI NWQueryAccountingInstalled(
  NWCONN_HANDLE conn,
  BYTE NWPTR installed);

NWCCODE NWAPI NWSubmitAccountCharge(
  NWCONN_HANDLE conn,
  WORD objectType,
  char NWPTR objectName,
  WORD serviceType,
  long chargeAmount,
  long holdCancelAmount,
  WORD noteType,
  char NWPTR note);

NWCCODE NWAPI NWSubmitAccountHold(
  NWCONN_HANDLE conn,
  WORD objectType,
  char NWPTR objectName,
  long holdAmount);

NWCCODE NWAPI NWSubmitAccountNote(
  NWCONN_HANDLE conn,
  WORD objectType,
  char NWPTR objectName,
  WORD serviceType,
  WORD noteType,
  char NWPTR note);
#ifdef __cplusplus
}
#endif

#endif
