#ifndef	_NWDSSCH_HEADER_
#define	_NWDSSCH_HEADER_

/****************************************************************************
 *
 * (C) Unpublished Copyright of Novell, Inc.  All Rights Reserved.
 *
 * No part of this file may be duplicated, revised, translated, localized
 * or modified in any manner or compiled, linked or uploaded or downloaded
 * to or from any computer system without the prior written permission of
 * Novell, Inc.
 *
 ****************************************************************************/

#ifndef __NWDSTYPE_H
#include <nwdstype.h>
#endif

#ifndef _NWDSBUFT_HEADER_
#include <nwdsbuft.h>
#endif

#ifndef	_NWDSATTR_HEADER_
#include <nwdsattr.h>
#endif


#ifdef __cplusplus
extern "C" {
#endif

NWDSCCODE NWAPI NWDSDefineAttr
(
	NWDSContextHandle	context,
	char			NWPTR attrName,
	Attr_Info_T	NWPTR attrDef
);

NWDSCCODE NWAPI NWDSDefineClass
(
	NWDSContextHandle	context,
	char		NWPTR className,
	Class_Info_T	NWPTR classInfo,
	Buf_T				NWPTR classItems
);

NWDSCCODE NWAPI NWDSListContainableClasses
(
	NWDSContextHandle	context,
	char		NWPTR parentObject,
	int32		NWPTR iterationHandle,
	Buf_T		NWPTR containableClasses
);

NWDSCCODE NWAPI NWDSModifyClassDef
(
	NWDSContextHandle	context,
	char		NWPTR className,
	Buf_T		NWPTR optionalAttrs
);

NWDSCCODE NWAPI NWDSReadAttrDef
(
	NWDSContextHandle	context,
	uint32	infoType,
	uint8		allAttrs,
	Buf_T		NWPTR attrNames,
	int32		NWPTR iterationHandle,
	Buf_T		NWPTR attrDefs
);

NWDSCCODE NWAPI NWDSReadClassDef
(
	NWDSContextHandle	context,
	uint32	infoType,
	uint8		allClasses,
	Buf_T		NWPTR classNames,
	int32		NWPTR iterationHandle,
	Buf_T		NWPTR classDefs
);

NWDSCCODE NWAPI NWDSRemoveAttrDef
(
	NWDSContextHandle	context,
	char		NWPTR attrName
);

NWDSCCODE NWAPI NWDSRemoveClassDef
(
	NWDSContextHandle	context,
	char		NWPTR className
);

#ifdef __cplusplus
}
#endif

#endif
