/*--------------------------------------------------------------------------
	  (C) Unpublished Copyright of Novell, Inc.	All Rights Reserved.

 No part of this file may be duplicated, revised, translated, localized or
 modified in any manner or compiled, linked, or uploaded or downloaded to or
 from any computer system without the prior written consent of Novell, Inc.
--------------------------------------------------------------------------*/
/****************************************************************************
 
 BEGIN_MANUAL_ENTRY ( nwpsrv.h() )

 SOURCE MODULE: nwpsrv.h

 DESCRIPTION  :

		This header will include ALL the nwpsrv include files. To
		exclude one or more specific headers, use the following defines:

		  #define NOPS_DEF_INC
		  #define NOPS_ERR_INC
		  #define NOPS_CFG_INC
		  #define NOPS_COM_INC
		  #define NOPS_JOB_INC
		  #define NOPS_PDF_INC
		  #define NOPS_PKT_INC


 MODIFICATIONS:

		December 1, 1992


 END_MANUAL_ENTRY
****************************************************************************/
#ifndef NWPSRV_INC
#define NWPSRV_INC

#ifndef NOPS_DEF_INC
#include <nwps_def.h>
#endif

#ifndef NOPS_ERR_INC
#include <nwps_err.h>
#endif

#ifndef NOPS_CFG_INC
#include <nwps_cfg.h>
#endif

#ifndef NOPS_COM_INC
#include <nwps_com.h>
#endif

#ifndef NOPS_JOB_INC
#include <nwps_job.h>
#endif

#ifndef NOPS_PDF_INC
#include <nwps_pdf.h>
#endif

#ifndef NOPS_PKT_INC
#include <nwps_pkt.h>
#endif

#endif

