/*--------------------------------------------------------------------------
     (C) Copyright Novell, Inc. 1991  All Rights Reserved.

 No part of this file may be duplicated, revised, translated, localized or
 modified in any manner or compiled, linked, or uploaded or downloaded to or
 from any computer system without the prior written consent of Novell, Inc.
--------------------------------------------------------------------------*/
#ifndef REDIR_INC
#define REDIR_INC

#ifndef NWCALDEF_INC
#include <nwcaldef.h>
#endif

#ifndef NWOS2
#ifndef REDIR_SIGNATURE
#define REDIR_SIGNATURE 'WN'
#endif

typedef struct tNW_REDIR_ENTRY
{
  WORD index;
  BYTE deviceStatus;
  BYTE deviceType;
  WORD storedValue;
  char localName[16];
  char networkName[128];
} NW_REDIR_ENTRY;
#endif

#ifdef __cplusplus
extern "C" {
#endif
#ifndef NWOS2
/* obsolete
NWCCODE NWAPI NWRedirLogin(
  char NWPTR serverName,
  char NWPTR userName,
  char NWPTR password);
*/

NWCCODE NWAPI NWRedirLogout(char NWPTR serverName);
NWCCODE NWAPI NWRedirectDevice(char NWPTR uncPath, char device);
NWCCODE NWAPI NWCancelRedirection(char device);
NWCCODE NWAPI NWGetRedirectionEntry(NW_REDIR_ENTRY NWPTR entry);
#endif

NWCCODE NWAPI NWParseUNCPath(
  char NWPTR uncPath,
  NWCONN_HANDLE NWPTR conn,
  char NWPTR serverName,
  char NWPTR volName,
  char NWPTR path,
  char NWPTR nwPath);

#ifdef __cplusplus
}
#endif

#endif
