#ifndef _NWDSACL_HEADER_
#define _NWDSACL_HEADER_

#ifndef __NWDSTYPE_H
#include <nwdstype.h>
#endif

#ifndef _NWDSBUFT_HEADER_
#include <nwdsbuft.h>
#endif

#ifndef	_NWDSDC_HEADER_
#include <nwdsdc.h>
#endif


#ifdef __cplusplus
	extern "C" {
#endif

NWDSCCODE NWAPI  NWDSGetEffectiveRights
(
	NWDSContextHandle context,
	char	NWPTR subjectName,
	char	NWPTR objectName,
	char	NWPTR attrName,
	uint32	NWPTR privileges
);

NWDSCCODE NWAPI  NWDSListAttrsEffectiveRights
(
	NWDSContextHandle		context,
	char		NWPTR objectName,
	char		NWPTR subjectName,
	uint8		allAttrs,
	Buf_T		NWPTR attrNames,
	int32		NWPTR iterationHandle,
	Buf_T		NWPTR privilegeInfo
);

#ifdef __cplusplus
	}
#endif

#endif

